Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest
Class JmxService

    java.lang.Object
      org.neo4j.server.webadmin.rest.JmxService

All Implemented Interfaces:
  AdvertisableService

    public class JmxService

extends Object
implements AdvertisableService

Field Summary
`static String` | `BEAN_TEMPLATE`
`static String` | `DOMAIN_TEMPLATE`
`static String` | `DOMAINS_PATH`
`static String` | `KERNEL_NAME_PATH`
`static String` | `QUERY_PATH`
`static String` | `ROOT_PATH`

Constructor Summary
`JmxService(OutputFormat output, InputFormat input)`

Method Summary
`javax.ws.rs.core.Response` | `currentKernelInstance(Database database)`
`javax.ws.rs.core.Response` | `formQueryBeans(String data)`
`javax.ws.rs.core.Response` | `getBean(String domainName, String objectName)`
`javax.ws.rs.core.Response` | `getDomain(String domainName)`
`String` | `getName()`
`String` | `getServerPath()`
`javax.ws.rs.core.Response` | `getServiceDefinition()`
`javax.ws.rs.core.Response` | `listDomains()`
`javax.ws.rs.core.Response` | `queryBeans(String query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_PATH

    public static final String ROOT_PATH

See Also:
  Constant Field Values

### DOMAINS_PATH

    public static final String DOMAINS_PATH

See Also:
  Constant Field Values

### DOMAIN_TEMPLATE

    public static final String DOMAIN_TEMPLATE

See Also:
  Constant Field Values

### BEAN_TEMPLATE

    public static final String BEAN_TEMPLATE

See Also:
  Constant Field Values

### QUERY_PATH

    public static final String QUERY_PATH

See Also:
  Constant Field Values

### KERNEL_NAME_PATH

    public static final String KERNEL_NAME_PATH

See Also:
  Constant Field Values

Constructor Detail

### JmxService

    public JmxService(@Context
                      OutputFormat output,
                      @Context
                      InputFormat input)

Method Detail

### getServiceDefinition

    public javax.ws.rs.core.Response getServiceDefinition()

### listDomains

    public javax.ws.rs.core.Response listDomains()
                                          throws NullPointerException

  Throws:
    `NullPointerException`

### getDomain

    public javax.ws.rs.core.Response getDomain(String domainName)

### getBean

    public javax.ws.rs.core.Response getBean(String domainName,
                                             String objectName)

### queryBeans

    public javax.ws.rs.core.Response queryBeans(String query)

### formQueryBeans

    public javax.ws.rs.core.Response formQueryBeans(String data)

### currentKernelInstance

    public javax.ws.rs.core.Response currentKernelInstance(@Context
                                                           Database database)
                                                    throws DatabaseBlockedException

  Throws:
    `DatabaseBlockedException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `AdvertisableService`

### getServerPath

    public String getServerPath()

  Specified by:
    `getServerPath` in interface `AdvertisableService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.